Bug 1392901 - report is broken when stdout is split to stderr and stdout
Summary: report is broken when stdout is split to stderr and stdout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Stodulka
QA Contact: Alois Mahdal
Jiri Hornicek
URL:
Whiteboard:
Depends On: 1309491
Blocks: 1393496
TreeView+ depends on / blocked
 
Reported: 2016-11-08 12:50 UTC by Petr Stodulka
Modified: 2017-03-21 12:09 UTC (History)
8 users (show)

Fixed In Version: preupgrade-assistant-2.2.0-1.el6
Doc Type: Release Note
Doc Text:
The STDOUT and STDERR output is now separated into two fields in an assessment report of the Preupgrade Assistant Previously, the STDOUT and STDERR output of the Preupgrade Assistant modules was consolidated within the Preupgrade Assistant assessment report into one field. Now, the output is separated into two fields, which are named `Additional output` for STDOUT, and `Logs` for STDERR.
Clone Of:
Environment:
Last Closed: 2017-03-21 12:09:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
xsl-new.patch (2.71 KB, patch)
2016-11-08 13:39 UTC, Petr Stodulka
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 0 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Description Petr Stodulka 2016-11-08 12:50:35 UTC
When patch in #1309491 is applied, our reports are broken because we use own XSL files. So these XSL must be updated to see stdout and stderr in report file.

Otherwise stderr is not part of result.html file. Currently we use stderr for all log messages.

Comment 1 Petr Stodulka 2016-11-08 12:51:43 UTC
See report file in attachment https://bugzilla.redhat.com/attachment.cgi?id=1218495

Comment 2 Petr Stodulka 2016-11-08 13:39:28 UTC
Created attachment 1218526 [details]
xsl-new.patch

Patch for new style report. Patch for old style will be added later.

Comment 3 Petr Stodulka 2016-11-11 14:09:13 UTC
Fix prepared for merge in upstream. See [0] for more details and progress.

[0] https://github.com/upgrades-migrations/preupgrade-assistant/pull/168

Comment 6 Alois Mahdal 2017-01-31 14:38:52 UTC
HTML reports are fine again.

Comment 8 errata-xmlrpc 2017-03-21 12:09:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.